Compose Finance
Deposit wallets

Update customer wallet

Updates the destination wallet address for customer on-ramp transfers.

PATCH
/api/v2/customers/{customerId}/deposit/wallets/{walletId}

Updates the destination wallet address for customer on-ramp transfers.

Authorization

bearerAuth
AuthorizationBearer <token>

Organization API key obtained from PropelAuth

In: header

Path Parameters

customerId*string
walletId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

address?string

New Ethereum wallet address

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://compose.finance/api/v2/customers/string/deposit/wallets/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "wallet_abc123",
  "customerId": "550e8400-e29b-41d4-a716-446655440001",
  "address": "0x1234567890AbcdEF1234567890aBcdef12345678",
  "currency": "usdc",
  "chain": "base",
  "enabled": true,
  "createdAt": "2024-01-15T10:30:00.000Z",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}
{
  "error": "Invalid request data"
}
{
  "error": "Unauthorized - Invalid or missing API key or session"
}
{
  "error": "Customers feature is not enabled for your organization"
}
{
  "error": "Invalid request data"
}
{
  "error": "Invalid request data"
}